# sasl_client_done - Cleanup function

## Synopsis

    #include <sasl/sasl.h>

    int sasl_client_done();

## Description

int sasl_client_done();

  sasl_client_done() is a cleanup function, used to free all memory used by the library. Invoke when processing is complete.

## Return Value

Returns `SASL_OK` if the whole cleanup is successful and `SASL_CONTINUE` if this step is ok but at least one more step is needed.

## See Also

RFC 4422,:saslman:sasl(3), sasl_done(3), sasl_client_init(3), sasl_client_new(3), sasl_client_start(3), sasl_errors(3)